/*
    Copyright (C) 2005-2009  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "gui.h"

G_MODULE_EXPORT void
on_chkEnablePAR2Repair_toggled(GtkToggleButton *caller, gpointer data)
{
    ConfigOpts opts = nntpgrab_config_get_opts(glue);
    gboolean state = gtk_toggle_button_get_active(caller);

    if (opts.enable_par2_repair != state) {
        opts.enable_par2_repair = state;
    }

    nntpgrab_config_set_opts(glue, opts);
}

G_MODULE_EXPORT void
on_chkEnableAutoUnpack_toggled(GtkToggleButton *caller, gpointer data)
{
    ConfigOpts opts = nntpgrab_config_get_opts(glue);
    gboolean state = gtk_toggle_button_get_active(caller);

    if (opts.enable_auto_unpack != state) {
        opts.enable_auto_unpack = state;
    }

    nntpgrab_config_set_opts(glue, opts);
 
}

static void
config_changed(NNTPGrabGlue *glue, gpointer data)
{
    GtkWidget *chkEnablePAR2Repair = nntpgrab_gui_base_get_widget("chkEnablePAR2Repair");
    GtkWidget *chkEnableAutoUnpack = nntpgrab_gui_base_get_widget("chkEnableAutoUnpack");
    ConfigOpts opts = nntpgrab_config_get_opts(glue);

    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(chkEnablePAR2Repair), opts.enable_par2_repair);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(chkEnableAutoUnpack), opts.enable_auto_unpack);
}

void
config_par2_initialize()
{
    ng_signal_connect(glue, "config_changed", NG_CALLBACK(config_changed), NULL);
    config_changed(glue, NULL);
}
