/*
    Copyright (C) 2005-2009  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _UNPACK_H_
#define _UNPACK_H_

typedef struct Unpack Unpack;

#define UNPACK_TYPE_OBJECT       (unpack_get_type ())
#define UNPACK(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), UNPACK_TYPE_OBJECT, Unpack))
#define UNPACK_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), UNPACK_TYPE_OBJECT, UnpackClass))
#define IS_UNPACK(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), UNPACK_TYPE_OBJECT))
#define IS_UNPACK_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), UNPACK_TYPE_OBJECT))
#define UNPACK_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), UNPACK_TYPE_OBJECT, UnpackClass))

gboolean      unpack_initialize(char **errmsg);
Unpack       *unpack_new(void);
void          unpack_destroy(Unpack *obj);
gboolean      unpack_do_unpack(Unpack *obj, const char *collection_name, const char *filename, const char *target_directory);

#endif /* _UNPACK_H_ */
